• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn more.

Facebook connection error with litespeed enabled

jgas

Active member
#1
Hi everybody,
my users are experiencing a generic error when they try to register/login via facebook.

This happens only when litespeed is enabled.
I tried it too, there is no problem with apache.

Litespeed log error doesn't show any error... what should I do ?
Any idea?

Thanks!
 

jgas

Active member
#4
This error:

unnamed.jpg

It keeps on loading and below it adds the text below (my translation)

Musicadigitale - error
An error verified during the connection to facebook. Try again later

And this happens only with litespeed...
 

jgas

Active member
#5
Let me add that if I test the facebook integration from admin cp --> tools , I get the error "your server cannot connect to facebook (https://graph.facebook.com). Try again later. If the error continues, contact your hosting.


Thanks
 
Last edited:

p4guru

Well-known member
#6
Hi everybody,
my users are experiencing a generic error when they try to register/login via facebook.

This happens only when litespeed is enabled.
I tried it too, there is no problem with apache.

Litespeed log error doesn't show any error... what should I do ?
Any idea?

Thanks!
compare your litespeed and apache respective PHPINFO pages and see what's missing from litespeed one compared to apache i.e. SSL support/curl etc
 

jgas

Active member
#7
compare your litespeed and apache respective PHPINFO pages and see what's missing from litespeed one compared to apache i.e. SSL support/curl etc
Thanks p4guru!

Below the 2 different configure command.
As you can see, there is no curl or ssl support on litespeed!
Do you have any idea on how I should proceed?

Apache:

Configure Command './configure' '--disable-fileinfo' '--disable-posix' '--enable-bcmath' '--enable-calendar' '--enable-exif' '--enable-ftp' '--enable-gd-native-ttf' '--enable-intl' '--enable-libxml' '--enable-mbstring' '--enable-pdo=shared' '--enable-soap' '--enable-sockets' '--enable-wddx' '--enable-zip' '--prefix=/usr/local' '--with-bz2' '--with-curl=/opt/curlssl/' '--with-curlwrappers' '--with-enchant=/usr' '--with-freetype-dir=/usr' '--with-gd' '--with-gettext' '--with-icu-dir=/usr' '--with-imap=/opt/php_with_imap_client/' '--with-imap-ssl=/usr' '--with-jpeg-dir=/usr' '--with-kerberos' '--with-libdir=lib64' '--with-libexpat-dir=/usr' '--with-libxml-dir=/opt/xml2' '--with-libxml-dir=/opt/xml2/' '--with-mcrypt=/opt/libmcrypt/' '--with-mm=/opt/mm/' '--with-mysql=/usr' '--with-mysql-sock=/var/lib/mysql/mysql.sock' '--with-mysqli=/usr/bin/mysql_config' '--with-openssl=/usr' '--with-openssl-dir=/usr' '--with-pcre-regex=/opt/pcre' '--with-pdo-mysql=shared' '--with-pdo-sqlite=shared' '--with-pic' '--with-png-dir=/usr' '--with-pspell' '--with-snmp' '--with-tidy=/opt/tidy/' '--with-xmlrpc' '--with-xpm-dir=/usr' '--with-xsl=/opt/xslt/' '--with-zlib' '--with-zlib-dir=/usr' '--with-litespeed'


Litespeed:

Configure Command './configure' '--prefix=/usr/local/lsws/lsphp5' '--with-mysqli' '--with-zlib' '--with-gd' '--enable-shmop' '--enable-track-vars' '--enable-sockets' '--enable-sysvsem' '--enable-sysvshm' '--enable-magic-quotes' '--enable-mbstring' '--with-iconv' '--with-litespeed'
 

p4guru

Well-known member
#8
recompile LiteSpeed LSAPI PHP via admin console, OpenLiteSpeed is virtually same as LiteSpeed for admin console but OLS web site has better documentation that is up to date http://open.litespeedtech.com/mediawiki/index.php/Help:Configuration

for PHP
http://open.litespeedtech.com/mediawiki/index.php/Help:Default_PHP_Settings
http://open.litespeedtech.com/mediawiki/index.php/Help:Build_Custom_PHP

looks like images are broken LOL

But here's another 2 guides for such http://openlitespeed.com/threads/se...entos-openlitespeed-percona-with-pictures.54/ and http://vbtechsupport.com/2214/
 

p4guru

Well-known member
#9
oh if you're on WHM with LiteSpeed no need to do it manually, log into your WHM -> plugins -> LiteSpeed page and you should be able to click build matching binary for LSAPI PHP and it will build one to match your Apache PHP config :)